>在我们创建了一个 Gitbook 之后, 下一步就是如何对文档内的每个页面进行编辑. <br>
因为项目本身是一个 Git 项目, 所以我们在修改页面的时候, 其实就相当于在修改被 Git 仓库所追踪的文件.

共有两种方式对页面内容进行修改.
1. **(推荐)** 将 Git 仓库 git pull 到本地, 本地做出修改, commit 后 git push 到服务器
2. *(便捷)* 在 Gogs 的 Web 界面上直接对文件内容做出修改并提交修改

不论使用哪一种方式, 当提交修改到 git 后, 都会触发一次 Gitbook 服务器上的事件, 服务器将会获取最新代码, 重新编译, 生成全新的页面供用户浏览.

-----

### 本地修改
* git clone 代码到本地
* 对 md 格式的页面代码进行编辑
* 通过 gitbook serve 命令, 在浏览器中预览所做的修改
* 确认修改完成后, 提交修改并 git push
* 片刻后刷新原 Gitbook 页面即可看到修改已经生效

### Web 界面上对文件进行修改

>如果想要修改的页面比较复杂, 不建议使用该方法进行对页面进行修改, 而是应该使用 [本地修改](#本地修改) 的方式. 原因请参考下文中的 "注意"


* 随便来到一个 Gitbook 上的页面, 可以看到页面的左上角有 "编辑该页面" 按钮
![1211](/image/create_gitbook/2-1.png)

* 点击该按钮, 则会跳转到当前页面在 Gogs 上的编辑页. 点击 "编辑" 按钮, 即可对该页面进行编辑
![1211](/image/create_gitbook/2-2.png)

* 编辑完成后, 在页面下方填写对此次更改的简述, 也可以对本次修改进行效果预览, 确认没问题后点击提交 "提交变更" 
> **注意** 因为 Gogs Web 界面对 markdown 文件的预览与 gitbook 服务器对 markdown 文件的预览机制存在差异, 所以你在 Gogs 上预览的文件显示效果并不一定是你在 gitbook.duowan.com/dwdoc/xxxx 页面上看到的效果.

![1211](/image/create_gitbook/2-3.png)

* 提交变更后, 服务器会立刻获取最新代码, 重新编译, 生成全新的页面供用户浏览
![1211](/image/create_gitbook/2-4.png)

* 片刻后刷新原 Gitbook 页面即可看到修改已经生效
![1211](/image/create_gitbook/2-5.png)
